Subject: RE: bug#8911: bs-cycle-next deletes window in some cases.

From: "Drew Adams" <[email-masked]>
Date: Tue, 21 Jun 2011 20:13:28 -0700

> IOW, not disappear or move in any way - an unchanged display. 
> The only effect would be the change in buffer order that is
> the raison d'etre of `bury-buffer': make it least likely to
> be used as `other-buffer'.
>
> `bury-buffer' is not about display.... `bury-buffer' is about
> reducing the priority of the buffer in the buffer order -
> e.g., for `other-buffer'.

Here's another idea: Have `bury-buffer', as I suggested, do nothing wrt display,
but add a hook for it, so users like Stefan can make it also do <whatever> after
just changing the buffer order.  In particular, the <whatever> could play with
the display (iconify or delete frame etc.)

Without doing anything in the hook, a dedicated window/frame/buffer would just
stay there.